Easter Release

Antworten
Benutzeravatar
m.radtke
uib-Team
Beiträge: 1273
Registriert: 10 Jun 2015, 12:19

Easter Release

Beitrag von m.radtke »

Dear opsi users

hereby we release some easter packages in opsi 4.2 stable and testing

This release also includes testing support for an Ubuntu22-04 based server

today we have released more packages for opsi 4.2 in testing and stable.

We are releasing the first version of the product Ubuntu22-04. Unlike previous products, this netboot package now requires an ISO image to be placed in the product subfolder iso to complete the installation. Internally, the installer has changed, making this step necessary.

More and more devices use a feature called MAC passthrough to map an internal MAC address to an external ethernet device, e.g. a docking station.
Unfortunately this is not always implemented in the corresponding kernel drivers and this feature may not work in the opsi-linux-bootimage. For this there is now a new opsi-linux-bootimage.append parameter called macaddress=MACADRESS.
Here the macaddress from the parameter is spoofed to the existing network device and so a connection with the desired macaddress is established. If a connection existed on the network card before the spoofing, it will be kept and the macaddress will not be changed. The MAC spoofing only takes place if no IP address is assigned.

stable:

Server:
- opsiconfd (4.2.0.252)
- opsipxeconfd (4.2.0.27)
- opsi-utils 4.2.0.165
- opsi-linux-bootimage (20220331-1)

testing:

Linux Netboot:
- alma8 (4.2.0.2-6)
- debian (4.2.0.3-3)
- debian9 (4.2.0.1-8)
- debian10 (4.2.0.1-8)
- debian11 (4.2.0.1-8)
- mint20-1 (4.2.0.1-6)
- mint20-2 (4.2.0.1-6)
- mint20-3 (4.2.0.1-6)
- opensusel15-3 (4.2.0.1-7)
- redhat8 (4.2.0.2-6)
- rocky8 (4.2.0.2-6)
- sles12sp3 (4.2.0.1-9)
- sles12sp4 (4.2.0.1-9)
- sles12sp5 (4.2.0.1-9)
- sles15-1 (4.2.0.1-8)
- sles15-2 (4.2.0.1-8)
- sles15-3 (4.2.0.1-8)
- ubuntu18-04 (4.2.0.1-8)
- ubuntu20-04 (4.2.0.1-8)
- ubuntu22-04 (4.2.0.1-8)

Windows Netboot:
- windows NT6 (4.2.0.2-2)

opsi-local-image Netboot:
- opsi-local-image NT6 (4.2.0.2-2)
- opsi-vhd-win10-x64 (4.2.0.2-2)
- opsi-vhd-win11-x64 (4.2.0.2-2)

Windows Localboot:
none

Server:
- opsiconfd (4.2.0.254)
- opsi-tftp-hpa (5.2.8-76)
- opsi-server (4.2.0.67)


Mit freundlichen Grüßen
Mathias Radtke

Changelogs:

Code: Alles auswählen

opsiconfd (4.2.0.254-1) stable; urgency=medium

  * Bugfix:  bug with welcome page
  * Improvement:  install addon show messages (error/success)

 -- uib GmbH <info@uib.de>  Thu, 14 Apr 2022 06:55:05 +0000

opsiconfd (4.2.0.253-1) stable; urgency=medium

  * Improvement:  new version

 -- uib GmbH <info@uib.de>  Fri, 08 Apr 2022 09:15:23 +0000

opsiconfd (4.2.0.252-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 07 Apr 2022 10:36:16 +0200

opsiconfd (4.2.0.250-1) stable; urgency=medium

  * Improvement:  update python-opsi / python-opsi-common
  * Improvement:  admin page clear license cache

 -- uib GmbH <info@uib.de>  Wed, 06 Apr 2022 08:30:04 +0000

opsiconfd (4.2.0.249-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Improvement:  Retry backend connection on master failure
  * Improvement:  add welcome page

 -- uib GmbH <info@uib.de>  Fri, 01 Apr 2022 07:14:47 +0000

opsiconfd (4.2.0.248-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Improvement:  Update cookie via websocket message
  * Improvement:  Rework admin interface log viewer
  * Improvement:  Improve layout, maximize tab
  * Feature:  Terminal resize

 -- uib GmbH <info@uib.de>  Mon, 28 Mar 2022 16:37:51 +0000

opsiconfd (4.2.0.247-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 23 Mar 2022 14:21:04 +0100
 
 ---------------------------------------
 
 opsi-utils (4.2.0.165-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 07 Apr 2022 09:37:23 +0200
 
 ----------------------------------------
 
 opsipxeconfd (4.2.0.27-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 07 Apr 2022 10:19:14 +0200

opsipxeconfd (4.2.0.26-1) stable; urgency=medium

  * Improvement:  New default log file /var/log/opsi/opsipxeconfd/opsipxeconfd.log

 -- uib GmbH <info@uib.de>  Fri, 18 Feb 2022 07:27:25 +0100
 
 ---------------------------------------
 
 opsi-server (4.2.0.67-1) stable; urgency=medium

  * Improvement:  Update default backend config files

 -- uib GmbH <info@uib.de>  Thu, 31 Mar 2022 13:09:46 +0200
 
 ----------------------------------------
 
 opsi-tftp-hpa (5.2.8-77) testing; urgency=low

  * debian/rules: removed dh-systemd dependency for Ubuntu 22.04 support

 -- Mathias Radtke <m.radtke@uib.de> Thu, 17 Mar 2022 14:55:00 +0200
 
 ----------------------------------------
 
 opsi-linux-bootimage (20220331-1) testing; urgency=low

  * new opsi-linux-bootimage.append parameter added for mac address spoofing to fix brokem mac passthrough

 -- Mathias Radtke <m.radtke@uib.de> Thu, 31 Mar 2022 16:35:00 +0100

opsi-linux-bootimage (20220330-1) testing; urgency=low

  * kernel 5.17.1
  * adapted Microsoft docking station patch
  * added r8152 mac passthrough patch
  * removed Null Block driver support

 -- Mathias Radtke <m.radtke@uib.de> Wed, 30 Mar 2022 08:20:00 +0100
 
 ----------------------------------------
 
 alma/rocky/redhat8 (4.2.0.2-6) testing; urgency=low

  * corrected usage of source for opsi-linux-client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Thu Apr  7 09:45:16 2022 +0200

 ----------------------------------------
 
 debian (4.2.0.3-3) testing; urgency=low

  * corrected usage of source for opsi-linux-client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Thu Apr  7 09:45:16 2022 +0200
 
  ----------------------------------------
  
  debian9/10/11 (4.2.0.1-8) testing; urgency=low

  * corrected usage of source for opsi-linux-client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Thu Apr  7 09:45:16 2022 +0200
 
 ----------------------------------------
 
 mint20-1/2/3 (4.2.0.1-6) testing; urgency=low

  * corrected usage of source for opsi-linux-client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Thu Apr  7 09:45:16 2022 +0200
 
  ----------------------------------------
  
  sles12sp3/4/5 (4.2.0.1-9) testing; urgency=low

  * corrected usage of source for opsi-linux-client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Thu Apr  7 09:45:16 2022 +0200
 
  ----------------------------------------
  
  sles15-1/2/3 (4.2.0.1-8) testing; urgency=low

  * corrected usage of source for opsi-linux-client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Thu Apr  7 09:45:16 2022 +0200
 
   ----------------------------------------
   
   ubuntu18-04/20-04/22-04 (4.2.0.1-8) testing; urgency=low

  * corrected usage of source for opsi-linux-client-agent installation

 -- Mathias Radtke <m.radtke@uib.de> Thu Apr  7 09:45:16 2022 +0200
 
 
Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.
Antworten